"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ElasticLoadBalancingClient_1 = require("./ElasticLoadBalancingClient");
const AddTagsCommand_1 = require("./commands/AddTagsCommand");
const ApplySecurityGroupsToLoadBalancerCommand_1 = require("./commands/ApplySecurityGroupsToLoadBalancerCommand");
const AttachLoadBalancerToSubnetsCommand_1 = require("./commands/AttachLoadBalancerToSubnetsCommand");
const ConfigureHealthCheckCommand_1 = require("./commands/ConfigureHealthCheckCommand");
const CreateAppCookieStickinessPolicyCommand_1 = require("./commands/CreateAppCookieStickinessPolicyCommand");
const CreateLBCookieStickinessPolicyCommand_1 = require("./commands/CreateLBCookieStickinessPolicyCommand");
const CreateLoadBalancerCommand_1 = require("./commands/CreateLoadBalancerCommand");
const CreateLoadBalancerListenersCommand_1 = require("./commands/CreateLoadBalancerListenersCommand");
const CreateLoadBalancerPolicyCommand_1 = require("./commands/CreateLoadBalancerPolicyCommand");
const DeleteLoadBalancerCommand_1 = require("./commands/DeleteLoadBalancerCommand");
const DeleteLoadBalancerListenersCommand_1 = require("./commands/DeleteLoadBalancerListenersCommand");
const DeleteLoadBalancerPolicyCommand_1 = require("./commands/DeleteLoadBalancerPolicyCommand");
const DeregisterInstancesFromLoadBalancerCommand_1 = require("./commands/DeregisterInstancesFromLoadBalancerCommand");
const DescribeAccountLimitsCommand_1 = require("./commands/DescribeAccountLimitsCommand");
const DescribeInstanceHealthCommand_1 = require("./commands/DescribeInstanceHealthCommand");
const DescribeLoadBalancerAttributesCommand_1 = require("./commands/DescribeLoadBalancerAttributesCommand");
const DescribeLoadBalancerPoliciesCommand_1 = require("./commands/DescribeLoadBalancerPoliciesCommand");
const DescribeLoadBalancerPolicyTypesCommand_1 = require("./commands/DescribeLoadBalancerPolicyTypesCommand");
const DescribeLoadBalancersCommand_1 = require("./commands/DescribeLoadBalancersCommand");
const DescribeTagsCommand_1 = require("./commands/DescribeTagsCommand");
const DetachLoadBalancerFromSubnetsCommand_1 = require("./commands/DetachLoadBalancerFromSubnetsCommand");
const DisableAvailabilityZonesForLoadBalancerCommand_1 = require("./commands/DisableAvailabilityZonesForLoadBalancerCommand");
const EnableAvailabilityZonesForLoadBalancerCommand_1 = require("./commands/EnableAvailabilityZonesForLoadBalancerCommand");
const ModifyLoadBalancerAttributesCommand_1 = require("./commands/ModifyLoadBalancerAttributesCommand");
const RegisterInstancesWithLoadBalancerCommand_1 = require("./commands/RegisterInstancesWithLoadBalancerCommand");
const RemoveTagsCommand_1 = require("./commands/RemoveTagsCommand");
const SetLoadBalancerListenerSSLCertificateCommand_1 = require("./commands/SetLoadBalancerListenerSSLCertificateCommand");
const SetLoadBalancerPoliciesForBackendServerCommand_1 = require("./commands/SetLoadBalancerPoliciesForBackendServerCommand");
const SetLoadBalancerPoliciesOfListenerCommand_1 = require("./commands/SetLoadBalancerPoliciesOfListenerCommand");
class ElasticLoadBalancing extends ElasticLoadBalancingClient_1.ElasticLoadBalancingClient {
    addTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddTagsCommand_1.AddTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    applySecurityGroupsToLoadBalancer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ApplySecurityGroupsToLoadBalancerCommand_1.ApplySecurityGroupsToLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    attachLoadBalancerToSubnets(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AttachLoadBalancerToSubnetsCommand_1.AttachLoadBalancerToSubnetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    configureHealthCheck(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ConfigureHealthCheckCommand_1.ConfigureHealthCheckCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createAppCookieStickinessPolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateAppCookieStickinessPolicyCommand_1.CreateAppCookieStickinessPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createLBCookieStickinessPolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateLBCookieStickinessPolicyCommand_1.CreateLBCookieStickinessPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createLoadBalancer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateLoadBalancerCommand_1.CreateLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createLoadBalancerListeners(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateLoadBalancerListenersCommand_1.CreateLoadBalancerListenersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createLoadBalancerPolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateLoadBalancerPolicyCommand_1.CreateLoadBalancerPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteLoadBalancer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteLoadBalancerCommand_1.DeleteLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteLoadBalancerListeners(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteLoadBalancerListenersCommand_1.DeleteLoadBalancerListenersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteLoadBalancerPolicy(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteLoadBalancerPolicyCommand_1.DeleteLoadBalancerPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deregisterInstancesFromLoadBalancer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeregisterInstancesFromLoadBalancerCommand_1.DeregisterInstancesFromLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeAccountLimits(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeAccountLimitsCommand_1.DescribeAccountLimitsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeInstanceHealth(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeInstanceHealthCommand_1.DescribeInstanceHealthCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeLoadBalancerAttributes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeLoadBalancerAttributesCommand_1.DescribeLoadBalancerAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeLoadBalancerPolicies(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeLoadBalancerPoliciesCommand_1.DescribeLoadBalancerPoliciesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeLoadBalancerPolicyTypes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeLoadBalancerPolicyTypesCommand_1.DescribeLoadBalancerPolicyTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeLoadBalancers(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeLoadBalancersCommand_1.DescribeLoadBalancersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeTagsCommand_1.DescribeTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    detachLoadBalancerFromSubnets(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DetachLoadBalancerFromSubnetsCommand_1.DetachLoadBalancerFromSubnetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    disableAvailabilityZonesForLoadBalancer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DisableAvailabilityZonesForLoadBalancerCommand_1.DisableAvailabilityZonesForLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    enableAvailabilityZonesForLoadBalancer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new EnableAvailabilityZonesForLoadBalancerCommand_1.EnableAvailabilityZonesForLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyLoadBalancerAttributes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyLoadBalancerAttributesCommand_1.ModifyLoadBalancerAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    registerInstancesWithLoadBalancer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RegisterInstancesWithLoadBalancerCommand_1.RegisterInstancesWithLoadBalancerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    removeTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RemoveTagsCommand_1.RemoveTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    setLoadBalancerListenerSSLCertificate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new SetLoadBalancerListenerSSLCertificateCommand_1.SetLoadBalancerListenerSSLCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    setLoadBalancerPoliciesForBackendServer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new SetLoadBalancerPoliciesForBackendServerCommand_1.SetLoadBalancerPoliciesForBackendServerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    setLoadBalancerPoliciesOfListener(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new SetLoadBalancerPoliciesOfListenerCommand_1.SetLoadBalancerPoliciesOfListenerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.ElasticLoadBalancing = ElasticLoadBalancing;
//# sourceMappingURL=ElasticLoadBalancing.js.map