"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const AddTags_1 = require("../model/operations/AddTags");
class AddTagsCommand {
    constructor(input) {
        this.input = input;
        this.model = AddTags_1.AddTags;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.AddTagsCommand = AddTagsCommand;
//# sourceMappingURL=AddTagsCommand.js.map