"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const AttachLoadBalancerToSubnets_1 = require("../model/operations/AttachLoadBalancerToSubnets");
class AttachLoadBalancerToSubnetsCommand {
    constructor(input) {
        this.input = input;
        this.model = AttachLoadBalancerToSubnets_1.AttachLoadBalancerToSubnets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.AttachLoadBalancerToSubnetsCommand = AttachLoadBalancerToSubnetsCommand;
//# sourceMappingURL=AttachLoadBalancerToSubnetsCommand.js.map