"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateLoadBalancer_1 = require("../model/operations/CreateLoadBalancer");
class CreateLoadBalancerCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateLoadBalancer_1.CreateLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateLoadBalancerCommand = CreateLoadBalancerCommand;
//# sourceMappingURL=CreateLoadBalancerCommand.js.map