"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateLoadBalancerListeners_1 = require("../model/operations/CreateLoadBalancerListeners");
class CreateLoadBalancerListenersCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateLoadBalancerListeners_1.CreateLoadBalancerListeners;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateLoadBalancerListenersCommand = CreateLoadBalancerListenersCommand;
//# sourceMappingURL=CreateLoadBalancerListenersCommand.js.map