"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteLoadBalancer_1 = require("../model/operations/DeleteLoadBalancer");
class DeleteLoadBalancerCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteLoadBalancer_1.DeleteLoadBalancer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteLoadBalancerCommand = DeleteLoadBalancerCommand;
//# sourceMappingURL=DeleteLoadBalancerCommand.js.map