"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteLoadBalancerListeners_1 = require("../model/operations/DeleteLoadBalancerListeners");
class DeleteLoadBalancerListenersCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteLoadBalancerListeners_1.DeleteLoadBalancerListeners;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteLoadBalancerListenersCommand = DeleteLoadBalancerListenersCommand;
//# sourceMappingURL=DeleteLoadBalancerListenersCommand.js.map