"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeLoadBalancerPolicies_1 = require("../model/operations/DescribeLoadBalancerPolicies");
class DescribeLoadBalancerPoliciesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeLoadBalancerPolicies_1.DescribeLoadBalancerPolicies;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeLoadBalancerPoliciesCommand = DescribeLoadBalancerPoliciesCommand;
//# sourceMappingURL=DescribeLoadBalancerPoliciesCommand.js.map