"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeLoadBalancerPolicyTypes_1 = require("../model/operations/DescribeLoadBalancerPolicyTypes");
class DescribeLoadBalancerPolicyTypesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeLoadBalancerPolicyTypes_1.DescribeLoadBalancerPolicyTypes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeLoadBalancerPolicyTypesCommand = DescribeLoadBalancerPolicyTypesCommand;
//# sourceMappingURL=DescribeLoadBalancerPolicyTypesCommand.js.map