"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RemoveTags_1 = require("../model/operations/RemoveTags");
class RemoveTagsCommand {
    constructor(input) {
        this.input = input;
        this.model = RemoveTags_1.RemoveTags;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RemoveTagsCommand = RemoveTagsCommand;
//# sourceMappingURL=RemoveTagsCommand.js.map