"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AddTagsInput_1 = require("../shapes/AddTagsInput");
const AddTagsOutput_1 = require("../shapes/AddTagsOutput");
const AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
const TooManyTagsException_1 = require("../shapes/TooManyTagsException");
const DuplicateTagKeysException_1 = require("../shapes/DuplicateTagKeysException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsInput_1.AddTagsInput
    },
    output: {
        shape: AddTagsOutput_1.AddTagsOutput,
        resultWrapper: "AddTagsResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: DuplicateTagKeysException_1.DuplicateTagKeysException
        }
    ]
};
//# sourceMappingURL=AddTags.js.map